Lng Projects#
Warning
Deprecation Notice for Vulcan API v1 - We are deprecating Vulcan API v1 to concentrate on the improved functionality of newer versions. V1 will no longer receive new features or enhancements.
New Integrations: Please use Vulcan API v2.
Existing v1 Users: We encourage you to migrate to v2.
SynMax will provide migration guides and proactive support to assist with your transition.
Get LNG projects with filtering and aggregation
Endpoint#
GET |
https://vulcan.api.synmax.com/beat-ms/api/v1/lng_projects |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/beat-ms/api/v1/lng_projects" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v1 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
lng_projects_resp = vulcan_api_client.lng_projects()
lng_projects_df = lng_projects_resp.df()
lng_projects_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
code |
string |
Unique code for the api response |
[LNG123] |
name |
string |
_ |
project_id |
type |
string |
_ |
INTEGER |
completed |
string |
Date where plant has been deemed complete based on satellite observations |
4/15/2025 |
construction_start |
string |
Start date of construction for a given plant |
3/9/2025 |
entity |
string |
EIA plant operating entity |
1000 Mile Solar, LLC |
expected_operation |
integer |
_ |
2026 |
first_structures |
string |
Date where the first permanent structures are identified for a given plant |
7/12/2023 |
image_dates |
string |
Date of the latest available satellite image |
4/14/2025 |
land_cleared |
string |
Date of first land cleared for a given plant |
5/7/2022 |
latitude |
number |
EIA plant latitude |
33.0225 |
longitude |
number |
EIA plant longitude |
-102.709 |
nameplate_capacity_mtpa |
number |
EIA plant generator capacity in megawatts (MW) |
200.0 |
notes |
string |
Observations or relevant plant comments after reviewing satellite images |
land cleared |
phase_number |
integer |
_ |
1 |
plant_name |
string |
EIA plant name |
1000 Mile Solar |
technology |
string |
EIA primary generation technology |
Solar Photovoltaic |
trains |
integer |
_ |
2 |
vulcan_construction_status |
string |
Indicates if a plant has been observed to be under construction |
Confirmed |
vulcan_earliest_online |
string |
The earliest possible date a plant is projected to be operational |
2/7/2024 |
vulcan_latest_online |
string |
The latest possible date a plant is projected to be operational |
7/24/2027 |
vulcan_status_change_date |
string |
Date of which a plants status was changed to under construction |
6/3/2025 |